# Romulus-JS

An implementation of the Romulus-M cryptography specification.

## Build

To build the Romulus-JS library, first clone this repository.

Run the following commands from the root of the repository:
```bash
$ npm install
$ npm run build
```

The build output will be saved to the `lib` directory.

### Visual Studio Code

This repository contains the necessary configuration files to debug, test and build Romulus-JS using only Visual Studio Code. 

Run the build task (`Ctrl+Shift+B` or `⇧⌘B`) to automatically compile the Typescript source files in the background.

_Debug and test instructions for Visual Studio Code coming soon._

## Contribution

[![JavaScript Style Guide](https://cdn.rawgit.com/standard/standard/master/badge.svg)](https://github.com/standard/standard)

This library uses [ts-standard](https://github.com/standard/ts-standard), based on [JavaScript Standard Style](https://standardjs.com/rules.html). Please ensure all contributions are ts-standard compliant before submitting a pull request.
